﻿using MyLogicApp.AcceptanceTests.Utilities;
using MyLogicApp.AcceptanceTests.Utilities.LogicAppDiagnostics;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TechTalk.SpecFlow;


namespace MyLogicApp.AcceptanceTests.Features
{
    [Binding]
    public class Shared
    {
        [BeforeScenario("CleanTheSystem")]
        public void CleanTheSystem()
        {
            TrackingManager.Clear();
            
        }

        [BeforeScenario("StartTrackingManager")]
        public void StartTracking()
        {
            TrackingManager.Start();
        }

        [AfterScenario("StopTrackingManager")]
        public void StopTracking()
        {
            TrackingManager.Stop();
            TrackingManager.Clear();
        }
    }
}
