﻿Feature: Whitebox Test
	In order to create a strategy for testing logic apps
	As an integration architect
	I want to demonstrate how the diagnostics feed can be used to do detailed testing against the solution

@CleanTheSystem
@StopTrackingManager
Scenario: WhiteboxTest - Process Queue Message - Yes
	Given the strorage account is empty
		| Storage Container |
		| yes               |
		| default           |
	And the queue is empty
	And the logic app is enabled
	And the diagnostics tracking manager is started
	When a message is submitted to the queue
		| Label |
		| YES   |
	Then the logic app will receive the message
	And the logic app will decide which route to process the message
	And the logic app will flow the message to the yes folder
	And the message will be saved into the storage location
		| Storage Container |
		| yes               |


@CleanTheSystem
@StopTrackingManager
Scenario: WhiteboxTest - Process Queue Message - Default
	Given the strorage account is empty
		| Storage Container |
		| yes               |
		| default           |
	And the queue is empty
	And the logic app is enabled
	And the diagnostics tracking manager is started
	When a message is submitted to the queue
		| Label |
		| something else   |
	Then the logic app will receive the message
	And the logic app will decide which route to process the message
	And the logic app will flow the message to the default folder
	And the message will be saved into the storage location
		| Storage Container |
		| default           |